Summary:	KDE Interface for doing Mathematics and Scientific Computing
Name:		cantor
Version:	17.12.3
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://edu.kde.org/cantor/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	analitza-devel
BuildRequires:	kf5archive-devel
BuildRequires:	kf5completion-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5crash-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5newstuff-devel
BuildRequires:	kf5parts-devel
BuildRequires:	kf5pty-devel
BuildRequires:	kf5texteditor-devel
BuildRequires:	kf5textwidgets-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	pkgconfig(libR)
BuildRequires:	pkgconfig(libspectre)
BuildRequires:	pkgconfig(libqalculate)
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5XmlPatterns)
Conflicts:	kde5-l10n < 17.04

%description
Cantor is a KDE Application aimed to provide a nice Interface
for doing Mathematics and Scientific Computing. It doesn't implement
its own Computation Logic, but instead is built around different
Backends.

%files -f %{name}.lang
%doc README TODO
%{_kde5_applicationsdir}/org.kde.cantor.desktop
%{_kde5_bindir}/cantor
%{_kde5_bindir}/cantor_python3server
%{_kde5_bindir}/cantor_rserver
%{_kde5_libdir}/libcantor_config.so
%{_kde5_libdir}/libcantor_pythonbackend.so
%{_kde5_iconsdir}/*/*/apps/cantor.*
%{_kde5_iconsdir}/*/*/apps/juliabackend.*
%{_kde5_iconsdir}/*/*/apps/kalgebrabackend.*
%{_kde5_iconsdir}/*/*/apps/luabackend.*
%{_kde5_iconsdir}/*/*/apps/maximabackend.*
%{_kde5_iconsdir}/*/*/apps/octavebackend.*
%{_kde5_iconsdir}/*/*/apps/pythonbackend.*
%{_kde5_iconsdir}/*/*/apps/qalculatebackend.*
%{_kde5_iconsdir}/*/*/apps/rbackend.*
%{_kde5_iconsdir}/*/*/apps/sagebackend.*
%{_kde5_iconsdir}/*/*/apps/scilabbackend.*
%{_kde5_datadir}/cantor
%{_kde5_datadir}/config.kcfg/cantor.kcfg
%{_kde5_datadir}/config.kcfg/cantor_libs.kcfg
%{_kde5_datadir}/config.kcfg/kalgebrabackend.kcfg
%{_kde5_datadir}/config.kcfg/maximabackend.kcfg
%{_kde5_datadir}/config.kcfg/octavebackend.kcfg
%{_kde5_datadir}/config.kcfg/python2backend.kcfg
%{_kde5_datadir}/config.kcfg/python3backend.kcfg
%{_kde5_datadir}/config.kcfg/qalculatebackend.kcfg
%{_kde5_datadir}/config.kcfg/rserver.kcfg
%{_kde5_datadir}/config.kcfg/sagebackend.kcfg
%{_kde5_datadir}/config.kcfg/scilabbackend.kcfg
%{_kde5_sysconfdir}/xdg/cantor*.knsrc
%{_kde5_xmlguidir}/cantor/*.rc
%{_qt5_plugindir}/libcantorpart.so
%{_qt5_plugindir}/cantor/*/*.so
%{_appdatadir}/org.kde.cantor.appdata.xml

#----------------------------------------------------------------------------

%define cantorlibs_major 17
%define libcantorlibs %mklibname cantorlibs %{cantorlibs_major}

%package -n %{libcantorlibs}
Summary:	Runtime library for cantor
Group:		System/Libraries

%description -n %{libcantorlibs}
Runtime library for cantor.

%files -n %{libcantorlibs}
%{_kde5_libdir}/libcantorlibs.so.%{cantorlibs_major}*

#----------------------------------------------------------------------------

%define devcantor %mklibname cantor -d

%package -n %{devcantor}
Summary:	Development stuff for %{name}
Group:		Development/KDE and Qt
Requires:	%{libcantorlibs} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Conflicts:	%{name}-devel < 16.08.2
Obsoletes:	%{name}-devel < 16.08.2

%description -n %{devcantor}
Files needed to build applications based on %{name}.

%files -n %{devcantor}
%{_kde5_includedir}/%{name}
%{_kde5_libdir}/libcantorlibs.so

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang %{name} --with-kde --with-html
%kf5locales_fix %{name}.lang


%changelog

* Mon Mar 19 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.12.3-1
- (6ec92b3) New version 17.12.3

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.08.2-1
- (c7a4c2e) New version 17.08.2

* Tue Jul 18 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.04.3-1
- (3c45cf0) New version 17.04.3

* Thu Jun 29 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.04.2-1
- (ce65a48) Merge locales from kde5-l10n
- (Andrey Bondrov: 6560415) New library major 17
- (Andrey Bondrov: a647499) New version 17.04.2

* Fri Mar 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.3-1
- (3cc2911) New version 16.12.3

* Tue Feb 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.2-1
- (8b1e11d) New version 16.12.2

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.1-2
- (029bd6c) MassBuild#1230: Increase release tag

* Sun Jan 29 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.1-1
- (4744357) Update files
- (Andrey Bondrov: 0feabba) New version 16.12.1

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.08.2-2
- (09eac25) MassBuild#1212: Increase release tag

* Tue Nov 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.08.2-1
- (21e4a7d) New version 16.08.2
- (21e4a7d) Switch to KF5

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.14.3-2
- (826ed58) MassBuild#1169: Increase release tag

* Mon Nov 17 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.14.3-1
- (da5c258) LOG New version 4.14.3 (sync spec and patches with Cooker)

* Sun Jul 20 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.13.3-1
- (03acb9a) LOG New version 4.13.3 (sync spec and patches with Cooker)

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 4.13.2-2
- (e81e604) MassBuild#440: Increase release tag

* Mon Jun 16 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.13.2-1
- (f32b2bc) LOG New version 4.13.2 (sync spec and patches with Cooker)

* Wed Apr 09 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.12.4-1
- (56d4f40) LOG New version 4.12.4 (sync spec and patches with Cooker)

* Thu Mar 13 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.12.3-1
- (5f8a90e) LOG New version 4.12.3 (sync spec and patches with Cooker)

* Wed Dec 18 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.11.4-1
- (b791748) LOG New version 4.11.4

* Thu Nov 14 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.11.3-1
- (a82a969) LOG New version 4.11.3

* Fri Oct 25 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.11.2-1
- (998bfe5) LOG New version 4.11.2

* Tue Jul 09 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.10.5-1
- (c181977) LOG New version 4.10.5

* Thu Jun 13 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.10.4-1
- (af95389) LOG New version 4.10.4

* Tue May 21 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.10.3-1
- (271ccde) LOG New version 4.10.3 (sync with Cooker)

* Sat Jan 26 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.9.5-1
- (8229ed2) LOG New version 4.9.5

* Thu Dec 06 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.9.4-1
- (ea6e6c4) LOG New version 4.9.4

* Thu Nov 08 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.9.3-1
- (8a497ff) LOG New version 4.9.3

* Fri Oct 05 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.9.2-1
- (8a760a2) New version 4.9.2


